﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model AccelerationToSpeed "Acceleration to speed convector"
	Modelica.Blocks.Interfaces.RealInput Acceleration[3](
		quantity="Mechanics.Translation.Accel",
		displayUnit="m/s²") "'input Real' as connector" annotation(Placement(
		transformation(extent={{-120,10},{-80,50}}),
		iconTransformation(
			origin={0,-100},
			extent={{-20,-20},{20,20}},
			rotation=90)));
	Modelica.Blocks.Interfaces.RealOutput Speed[3](
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "'output Real' as connector" annotation(Placement(
		transformation(extent={{-5,20},{15,40}}),
		iconTransformation(
			origin={0,100},
			extent={{-10,-10},{10,10}},
			rotation=90)));
	Modelica.Blocks.Continuous.Integrator integrator1 annotation(Placement(transformation(extent={{-60,50},{-40,70}})));
	Modelica.Blocks.Continuous.Integrator integrator2 annotation(Placement(transformation(extent={{-60,20},{-40,40}})));
	Modelica.Blocks.Continuous.Integrator integrator3 annotation(Placement(transformation(extent={{-60,-10},{-40,10}})));
	equation
		connect(integrator1.u,Acceleration[1]) annotation(Line(
			points={{-62,60},{-67,60},{-95,60},{-95,30},{-100,30}},
			color={0,0,127},
			thickness=0.0625));
		connect(integrator2.u,Acceleration[2]) annotation(Line(
			points={{-62,30},{-67,30},{-95,30},{-100,30}},
			color={0,0,127},
			thickness=0.0625));
		connect(integrator3.u,Acceleration[3]) annotation(Line(
			points={{-62,0},{-67,0},{-95,0},{-95,30},{-100,30}},
			color={0,0,127},
			thickness=0.0625));
		connect(integrator1.y,Speed[1]) annotation(Line(
			points={{-39,60},{-34,60},{0,60},{0,30},{5,30}},
			color={0,0,127},
			thickness=0.0625));
		connect(integrator2.y,Speed[2]) annotation(Line(
			points={{-39,30},{-34,30},{0,30},{5,30}},
			color={0,0,127},
			thickness=0.0625));
		connect(integrator3.y,Speed[3]) annotation(Line(
			points={{-39,0},{-34,0},{0,0},{0,30},{5,30}},
			color={0,0,127},
			thickness=0.0625));
	annotation(
		Acceleration(flags=2),
		Speed(flags=2),
		Icon(graphics={
			Rectangle(
				fillColor={255,255,255},
				fillPattern=FillPattern.Solid,
				extent={{-100,100},{100,-100}})}),
		experiment(
			StopTime=1,
			StartTime=0,
			Interval=0.001));
end AccelerationToSpeed;
