﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model ComputePositionAndTime "Compute drone position and time "
	Modelica.Blocks.Interfaces.RealOutput Drone_position[3](
		quantity="Basics.Length",
		displayUnit="mm") "'output Real' as connector" annotation(Placement(
		transformation(extent={{-10,-10},{10,10}}),
		iconTransformation(extent={{90,40},{110,60}})));
	Modelica.Blocks.Interfaces.RealOutput Time(
		quantity="Basics.Time",
		displayUnit="s") "'output Real' as connector" annotation(Placement(
		transformation(extent={{-10,-10},{10,10}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	Modelica.Blocks.Interfaces.RealInput Measured_positioning_signal[4] "'input Real' as connector" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(extent={{-120,30},{-80,70}})));
	algorithm
	equation
		// enter your equations here
		Drone_position[1] = Measured_positioning_signal[1];
		Drone_position[2] = Measured_positioning_signal[2];
		Drone_position[3] = Measured_positioning_signal[3];
		Time = Measured_positioning_signal[4];
	annotation(Icon(graphics={
			Rectangle(
				fillColor={255,255,255},
				fillPattern=FillPattern.Solid,
				extent={{-100,100},{100,-100}}),
			Bitmap(
				imageSource="iVBORw0KGgoAAAANSUhEUgAAAP8AAADFCAYAAACb6SQBAAAABGdBTUEAALGPC/xhBQAAFlBJREFU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",
				extent={{-76.90000000000001,26.1},{-0.2,76.7}}),
			Bitmap(
				imageSource="iVBORw0KGgoAAAANSUhEUgAAAOEAAADhCAYAAAA+s9J6AAAABGdBTUEAALGPC/xhBQAAFZ5JREFU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",
				extent={{-0.3,-83.5},{79.7,-10.2}})}));
end ComputePositionAndTime;
