﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model ComputeTotalThrustMM "[SF2.4.2] Compute total thrust"
	Modelica.Blocks.Interfaces.RealInput SpeedConsign(
		quantity="Mechanics.Translation.Accel",
		displayUnit="m/s²") "Speed consign" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(extent={{-120,-20},{-80,20}})));
	Modelica.Blocks.Interfaces.RealOutput TotalThrustManualConsign(
		quantity="Mechanics.Translation.Force",
		displayUnit="N") "Total thrust manual mode" annotation(Placement(
		transformation(extent={{-10,-10},{10,10}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	parameter Real g(
		quantity="Mechanics.Translation.Accel",
		displayUnit="m/s²")=9.8 "Parameter g";
	parameter Real m(
		quantity="Basics.Mass",
		displayUnit="kg")=1.8 "Parameter m";
	Real AC(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Altitude consign";
	equation
		// enter your equations here
		AC = SpeedConsign;
		TotalThrustManualConsign = m*(g+AC);
	annotation(Icon(graphics={
		Rectangle(
			fillColor={255,255,255},
			fillPattern=FillPattern.Solid,
			extent={{-100,100},{100,-100}})}));
end ComputeTotalThrustMM;
