﻿within AIDAModelica;

model ControlMotor "[SF1.1/2/3/4.1] Control motor"
  // CP: 65001
  // SimulationX Version: 3.8.2.45319 x64
  Modelica.Blocks.Interfaces.RealInput DAngVel(quantity = "Mechanics.Rotation.RotVelocity", displayUnit = "rpm") "Desired angular velocity" annotation(
    Placement(transformation(extent = {{-20, -20}, {20, 20}}), iconTransformation(extent = {{-120, -20}, {-80, 20}})));
  Modelica.Blocks.Interfaces.RealOutput ComdKD "Desired command of k-ht motor" annotation(
    Placement(transformation(extent = {{-10, -10}, {10, 10}}), iconTransformation(extent = {{90, -10}, {110, 10}})));
  parameter Real cR(quantity = "Mechanics.Rotation.RotVelocity", displayUnit = "rpm") = 626.51735092990043 "Parameter cR";
  parameter Real wb(quantity = "Mechanics.Rotation.RotVelocity", displayUnit = "rpm") = 222.30956814352572 "Parameter wb";
equation
// enter your equations here
  ComdKD = (DAngVel - wb) / cR;
  annotation(
    Icon(graphics = {Rectangle(fillColor = {255, 255, 255}, fillPattern = FillPattern.Solid, extent = {{-100, 100}, {103.3, -100}}), Text(origin = {-7, 44}, extent = {{-39, 12}, {39, -12}}, textString = "%name")}, coordinateSystem(initialScale = 0.1)));
end ControlMotor;
