﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model ControlPositionV0 "ControlPosition_Modelica.ism"
	Modelica.Blocks.Interfaces.RealOutput Position_command[3] "'output Real' as connector" annotation(Placement(
		transformation(extent={{40,50},{60,70}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	Modelica.Blocks.Interfaces.RealInput Drone_position_consign[3] "'input Real' as connector" annotation(Placement(
		transformation(extent={{-140,40},{-100,80}}),
		iconTransformation(extent={{-120,-70},{-80,-30}})));
	Modelica.Blocks.Interfaces.RealInput Drone_position[3] "'input Real' as connector" annotation(Placement(
		transformation(extent={{-85,-15},{-45,25}}),
		iconTransformation(extent={{-120,30},{-80,70}})));
	Modelica.Blocks.Continuous.LimPID PID[3](
		controllerType=Modelica.Blocks.Types.SimpleController.P,
		k={1.26,1.26,1.26},
		Ti={0.5,0.5,0.5},
		Td={0.1,0.1,0.1},
		yMax={1000,1000,1000},
		initType=Modelica.Blocks.Types.InitPID.SteadyState,
		limitsAtInit={false, false, false},
		y_start={1,58,0}) "P, PI, PD, and PID controller with limited output, anti-windup compensation and setpoint weighting" annotation(Placement(transformation(extent={{-30,50},{-10,70}})));
	equation
		connect(PID.y,Position_command[:]) annotation(Line(
			points={{-9,60},{-4,60},{45,60},{50,60}},
			color={0,0,127},
			thickness=0.0625));
		connect(Drone_position_consign[:],PID.u_s) annotation(Line(
			points={{-120,60},{-115,60},{-37,60},{-32,60}},
			color={0,0,127},
			thickness=0.0625));
		connect(Drone_position[:],PID.u_m) annotation(Line(
			points={{-65,5},{-60,5},{-20,5},{-20,43},{-20,48}},
			color={0,0,127},
			thickness=0.0625));
	annotation(
		Icon(graphics={
					Rectangle(
						fillColor={255,255,255},
						fillPattern=FillPattern.Solid,
						extent={{-100,100},{100,-100}}),
					Bitmap(
						imageSource="iVBORw0KGgoAAAANSUhEUgAAAtYAAAG6CAIAAACjrJYtAAAABGdBTUEAALGOfPtRkwAAACBjSFJN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",
						extent={{-100,-60.9},{100,60.9}})}),
		experiment(
			StopTime=1,
			StartTime=0,
			Interval=0.002,
			MaxInterval="0.001"));
end ControlPositionV0;
