﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model GeneratePositioningSignal "Generate Positioning Signal"
	Modelica.Blocks.Interfaces.RealInput Drone_coordinates[3] "'input Real' as connector" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(extent={{-120,-20},{-80,20}})));
	Modelica.Blocks.Interfaces.RealOutput Positioning_signal[4] "'output Real' as connector" annotation(Placement(
		transformation(extent={{-10,-10},{10,10}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	equation
		// enter your equations here
		Positioning_signal[1:3] = Drone_coordinates[1:3];
		Positioning_signal[4] = time;
	annotation(Icon(graphics={
			Rectangle(
				fillColor={255,255,255},
				fillPattern=FillPattern.Solid,
				extent={{-100,100},{100,-103.3}}),
			Bitmap(
				imageSource="iVBORw0KGgoAAAANSUhEUgAAADwAAAA8CAYAAAA6/NlyAAAABGdBTUEAALGPC/xhBQAAAAlwSFlz
AAAOvAAADrwBlbxySQAAACVJREFUaEPtwTEBAAAAwqD1T+1nCiAAAAAAAAAAAAAAAAAAgKsBOHwA
AQdXZHsAAAAASUVORK5CYII=",
				extent={{-100,-100},{100,100}}),
			Bitmap(
				imageSource="iVBORw0KGgoAAAANSUhEUgAAAOEAAADhCAYAAAA+s9J6AAAABGdBTUEAALGPC/xhBQAAG7dJREFU
eF7t3T/IPdldx/FtRWyikkQ3bEjAPxBQEBQLRQioiGKh2Cgqoghqol2wCRbBMtEuVrGMbSzVIhLb
2GwXi1hutdUWWz3e1+zz/Tl7dmbuzJ2Ze57f83zecLjPvXdmzpnv+X6+3+85c3+7bzyEELoSEYbQ
mYgwhM5EhCF0JiIMoTMRYQidiQhD6ExEGEJnIsIQOhMRhtCZiDCEzkSEIXQmIgyhMxFhCJ2JCEPo
TEQYQmciwhA6ExGG0JmIMITORIQhdCYiDKEzEWEInYkIQ+hMRBhCZyLCEDoTEYbQmYgwhM5EhCF0
JiIMoTMRYQidiQhD6ExEGEJnIsIQOhMRhtCZiDCEzkSEIXQmIgyhMxFhCJ2JCEPoTEQYQmciwhA6
ExGG0JmIMITORIQhdCYiDKEzEWEInYkIQ+hMRBhCZyLCEDoTEYbQmYgwhM5EhCF0JiIMoTMRYQid
iQhD6ExEGEJnIsIQOhMRhtCZiDCEzkSEIXQmIgyhMxFhCJ2JCEPoTEQYQmciwhA6ExGG0JmIMITO
RIQH8s477zy8//77j+9CWEdEeBD/873vPfzh7//Bwz9/4xuPn4SwjojwAP7rO995+I1f+/WHj/3g
Dz289WM/PggxGTGsJSLcyX9/97sPv/jzv/Dw5sc/8fDZtz49iPDnfuZnkxHDaiLCHRDgb//mbz18
/GM/PIhQJvRKiJ/51FsP//ntbz8eGcI8EeGN/Ms3v/nwuZ/66YdP/siPPrz5iU8+/N7v/O4gOuvC
4bOLGGXE//i3f388I4RpIsIbIKyf+MxnB/HJggQoK+Ltt98ehEiEvv+VX/rlCDEsEhFu5F+/9a1X
a0DlJ5H97/e///jtBxCkjZoqUx1j9zSEKSLCDfzj1/7hA2FdMpz253/6Zx8RYEF0JVbnEKJd1BBa
IsIVvPfee8NuJ0HZdJEB/+aLX5wVYFGPLobS9NKUrcrVEMZEhFfwvE8GHNaAFyERIDG9++67j0cs
o3y1geNcGzZ2U/2yJoQiIlxABvzbL33p1aMHzwH/7stfXi3AQkYchHgpYUvE17JoeDlEhDMQ2t9/
5SuDaD795qeG16999aubBVjUIw3lLDH+9Re+ECGGgYhwghKgzEeAsqCMKDPeirLWurJEWBs7+Xlb
iAgbrNes22Q+v3ohGoI8SizWiK5J3G+88cYg7luza3geRIQjPFb4q7/4y1claLXxw/i9yKYeV5QQ
CZ0ww8vlSYmQg9rE+Kevf33YALFukik0a6o95eA16p8iDeXipfys3UzvvXrUsHdX0/jttJa4f+CS
CT3qyG7py+ZJiFCWUfJ5uK1E45zVZCWvvjvrGRsB+p2nh+oEpy/ZyW9Bx7uaytRbx0BoBOc6hG29
6Z5D6CpCu4OyXgmgRMDxOfyf/NEfD4LgtJ7TnVG2ybzKzeGXMJfsp+/xv36QgY2PEI1t6VcycxCg
rO76dS97dlrD86KbCDl/lX/jbKdckxk5rkakjiESJeqRJWn9xpO4XJ8AW6HXrqby0TgIiRDXjmOc
AQnZfbqnM0vr8HpxdxFyatmlSk3OT4ycf8oxlX82MqpMPOqH0LJdrfuM4drmi/E5lhCNnRAJbIn6
FxUlQCInwBDG3FWERMYJlWMcWplnXbTkzM5Ryg3l4sWRCXgvBEXQxqAR+Zq1nhKy/vW8zLj06xnB
4lc///nh+sbtXo09zwVDy11FWAKUGTjlXPZrqcxJiDLQHkqAhGEc1p5rHz8YKyHW2o4Q7dy21E7r
kAEvx9ps0m8EGKa4mwgJkDMS0trMU8iUnqcRjkx0y8+9am1nDIRBILdssriOdavzidD1vK9goswl
8srcsmH+UW9Y4i4i5IS1A3qrUxKM82XErecTCAHWLicR2nm99bebricDVkastV4J0OdV5o53WkOY
4nQRcnQlHwFN7T6uRUnK4WUga7EtKCE/95Mf/HhaO+LH0+NdTxnRvZUA617tAIdwjdNFKINx1Nqa
v5XaJeXkMprrEhNxLj1vc56+ZUBi2VoKL6FfGZHoXFuTAe20HtVHeP6cKkIbHgRIOJz/lofT1mAy
CtHZ1OHorlm/rJHZCGEpsxG/zORYa8tb/k3gFMbm2sZjrUqMNmQiwLCF00TIQTk7B+WctzxaUPIp
JZV5lU0JiSAJ79UGyEXkfnitzyms4WyeyFIlxKldza24J1nZNY3PendvmRteHqeJsMpHIrEJsjXz
1PmEVw4u64ydXKaV4YhQZiSspX5szpQQHe8ZZe1qboHYBYcKALKzIHDt4X0IU5wmQlmi/lHs1ixo
95PoysmJeK7Ee/Xc73Icccm+S2LwfR1rs4awtwixsqrgUKXxtXI4hCVOEaFMIctw0K0bISUqAtSu
iQpEPjxHfMxKS/86wbWIxrUJ0Tpz7YYRAcqAzqmH/daAR6wvw8vlFBFySuWZbOF1baYhQOdUyah8
nFvntTi3hNg+QG/xeQWJKk2v9eUcGdn46kcDBLn23kKY4xQRyjb1s621u4V2QGVNArTOW5udxhBS
ZSmvS8ISKIhKf463wTJXNruf2mSqEpQAkwHDEZwqQiUfMVjfyTxz/wLCesqztUEQl0y2lMWWcA5x
1HWWhAX9EiJREaIyuP01jnvxPJL4HOOe3MvaDB3CNU4RITHIHBy3BFEbGcpTP+UqkXHm+ke1xOC8
PQ7uXBlwENZjaXpNiPWDAsd7LSESYP3PP30nQ7t2CEdyigjBga3TZETZkBiJkNi8+skXZyeQYZ11
cXKZ6KhdRpsvrlnXXfq9qT79tK6Ol7mJjThrA8ca0P0kA4ajOU2ERYmxNjVkFYLUZBatxHlkltEv
IVYWs95cEqJnjvVc03gEDq/GWZtEIZzB6SIcw9Gtp2SaKlM5utcztvqVvLULWv0t/ajaBlKtTe20
er0m3hD2clcRQjlng8YGCjGWCG/ZDV0DYSsr9UFU1nhLQqxf4RCu16f6LyHYURnNloKHcVfz3nfZ
vb0NwbtsO7ap92fY9e4iLCpLEQZnPzPbMFxtvujv2n+6UPlMrF6fEu7DmNjNBpf70GRr695qgpuM
bgkg2LGtc89AMOCkNtuOaIKee1T+e3VtS4uz1+K1bGJbvsKufKBs69V7n7OrpY5dfGN27h66iZBR
3bA1mEcJZ2ecsRD1ybBzj0yeClU1mGyTb+y1rnYPHplo1qwqimr1uYDjWDvEXjkOp6md6SNgVw6q
j6Oae6zmvSqGAFRL7HGUIF1HgPIIyvJDXx+y7aXfsq3X+oxdHVO29R1hEvEtguwmQoh2bkCzW3pW
tC5cnzOXc1qHPlUhCkqCFAc34cbMGezS3tKc6zqqDo+BjrK16xAIB53q94hm7O5fk+Vl973Zx7yz
r+uzyxG29bcKRKDbEii6ilBJyKhuwCTKVEdG6SmUN+XY+hQF907okRiLzKc64HQCVDvpe1o5DGc5
YglwDxGOm36MX+ZZWlIsQSSCsax2TXy+H7epY6r53thUWVv+YUBXEYIo/GsGBlF+yIhnbyiYvPEP
BEzIU9jEIAoBgh2WJtx3VRZ5bdsa8TrG/csGe8q7ayIs593apq41buaNsxPUFhzvXPc/dV12KzvW
OPSj1eO09vu2uYY5tG5fY9vuIoRa2k2aSDfGMc4WxSvxX/o0KUq0nkIkQBNocttJrWZyjdW4Ob4s
btzsVc26T5nNnhxNm3MWn7vent/BXhOhtdbWZlwChDY3ds29uc+1pbU5V3lN2Vg/dT3ikcn4pXlx
nkbAPlOpqNrMw9wYy7ZrfoL5JEQIN1e/rDERnOts9FmGZDhOfHY5PIX1XwWhdjI1NhFZReLakeN4
hGO8oq3mb83nsr37I0jnc4g5Z2H3Wx8RLYmwdmZvaX5JJaBU4JnL7L5b81NHNiEutmivYf4rGLGb
Y5eu5zvHmAeVG1GXD40b25oz87DEkxEhDNbg3ZRdpzVRZC8MqQTUp4lg1GsTeiQlwCnnMIk+JyS2
udUWHEuAIba5LODel35jO8eUCAVRr2y7F85uA6/mqPqoVo5OuEu4xlTW8p59ZbpbYV9LmqlAYczm
d2kD8EmJEIzFqCa1IvTZQuTgjGVCTNQ9xA8OVr/QaSfPhMrSxHPExpHA4j5rQ6Ltj705y9a+lkR4
TRhbEKxsVk2Nnf2Wqhj3PpWtzfVRO+SuMWTFpo/qR5ad48mJkMEIj2EZnCMS5hmIflXfEyDn4fzE
r8+zM6L7VGa2k1bR2hiODgbumUNOlU/Gwh5buJcIIVObmzab6dsYjGUK9zxlZ5/tyYAthFiPwMb9
GJ8AN+dP3UTIYEuRiwOWEJWmJuAIUeiTc4iArmsilGL6qXKC0WTjM39AUGVoW8JUNr62jtgD2w9Z
pYnaxqLsU16t5Z4iNP8y3lTl4LO5/gQWczw+no2tOY9GCd72pfGzufF1EaGBcsBrZR+DE4fGafY6
Jodh+NqM0URWJaGdxvotK6Mx5FIJsQf3bBzuq50sQnDfZzOXVfS/ZW14TxGC7/CFdtzmcmpziXCV
ib6vY+vcMwKd/oYd2CbACfhzFd3dRVgbISWApfLHmomzDpnqclPOu3ViZR5icy19i0z1D4ytgwij
SjV9OeaMSAn9yLRtFhTNjZFjnw3bKsPbrOK9+14KjmPuLUJzNbWurXG3OL52iOtYdpcEjixFxxhH
a1d+N7eLe1cRilQMwICikXat1OQMMpKbcGNeCWcLrs8xCEv/HH3KQYyBAR2nn7MyUhuZNbYQ4bfe
2x5kgsqG1cyNYLc2ENxbhPxhyn58Q1BpMT7zPR5fiXBL2b0FiUWQN8Zq/Ny4p4LbXUTIuQmBoUqE
HG74+2Icf18Top8pOV8z6WujmAzI0fRDWEQ252CyQ0VNY9xSlq1F31NlYI1tbQY6Ak6odNK/MWn+
Nh9r7XtvEfIRGYW9qj+t/KJlSoRsb0lyxvgguAkI48Z/JaEpHz9dhDpVC5vYEgKjmGSDEyVKiEs1
OmO6EecTiJLkmqPYrdKXPpyn/Fxy8toGN6FnRUoTLyqOHUhbWrifBVuwoftu29pHFU9JhAJoy1Q5
qvGJsyodYxTQ2zbne6eKcGwwkyTzifYGBAYijPre69LEjY9nRJF77hmPPqps4RQMXlGIMWoMxfh4
Ih8ffxSuV+Xu2CHcuxLw6P7uwb1FaJ4E71ZU3pu/Kdi8Fa1s6JyzStItnCZCxlIbczg3zAgcu42w
JrEW2iZSBlpaF1V5wYCuLcpNGZIDEKl+Cbf6NS7jcJ5rFbK142sMa8uxLRjD1KaC+xCsXkfuLUJz
LWAJ6OP++MPcbrYysBWh5pyqynpyighlGo4+LPQvk8MAHgHMpWOGNZFDFroc7+8lwzieMw/HXxxa
mdqKe/z9OFtyGjuTSkIR1XvfV7nsc5N5RlZS5hH42IHKGe65IXMk9xahYFnXHzdzPdcff5laAmjG
TdTmvPWhe3G4CKtcIDw3yOGvPQ8E0ZVwOCVDXxNirfc055YRObs1lutMPTsyWcRgjM4zCY6tyHhW
WWijpxWg9zZHxln5deKeIuQPU0HM+2s7ulPrwvH5/MVmjZLW3oRr8eV7LBEOFaGBuwnOXSWoyLX2
RsrIJpSwCILY5vDdcPwl2+lL38Ygqol8BDY3MRyE8fVVGdvxS8LfAxsIRq0jeC+Tm/DXEfa9hwj1
Y37G/VRjQ+X8UqA3FtWOuW7Pr8YfXIvvCYyqN3PmXL52VqY8TIQGSASMRBRuZq5GX8INy57OZ5R2
7dZSxzMcQzIc8RLl0sQ4z/EmRTNBPjsL47BBMLcevFYpPFWWRHhUiS0wClQ1x+Nm7sz/tbkTBPkj
v+BX7XXaNhak68u0KjyVlUrryPk6RITWVFXemYxrjxuu4SZFojICAyxFofHxnHzIcJfXdofT3yaU
GErkw7GXMZtMYjgrI1WZ3orQe9F2bbUwh/P1cWRbw5QIq7kvc0OMtzTCEoT5wJQANWXk2p1sxxCR
DTjzv5QVx81x/MQY9FdCNp8qPffIXrfO4W4RStMMZWAVlQhwr1OZgBKUa1epOYdJq+MZzithGosx
+p5TCBaM6XsTwZDE5zPvCXTv2KcwSezUipDNTORe2Eu2OKIZ51o7LImQs2vt52taCWVJLL4zx1vL
RD7hPmXs8oWp6y81Y9I/37SWZDPBwLXnHpvNsUuEsspQpz86lpu5pQSdg3MSteuaZEJcMrjjh2NH
45GVZVLX8bnGcCIa8XEizuZvn2tHiKKFCJXJrQi1I/pzDWOvYLKnuQ6b7RWhxllvbVPXq+Y+BVTB
9Rb4kXMFYb5Rc19V0VSfU42QHV++5TOakHHXBoebRUiAohVjGASH9+qGjtrcEFE4bgnL67Uy1/eE
x5lqXGUgYzW++uH2GA4ngJgEx/n7yLrfhMxtLBwlwnKCvc11ZJgjRHh0M5/mh3i2Zpw5BEiVhOzv
XviIPsrntohyEOTFFoI8P1SqXuMmERqwwXL0mjDN3z7z3V4hmtyhfLvckMYwosu1tQrHqfFVOaRc
IADZjvjmruFzJQUDOm/q8catuPZUOSqSPjkRXuz9lERYjk0Ysp8AubUEXYOgS9j8x9wL1uxgDPxa
/0TZjm+uOV5FcS1xbBahAbqwCS+jULvPKwNpHO7WSOU8kW4oDy79EMXSD7ynMEkCAdHV9vKazOYY
Y9enyb9mwLXMidCkmvAt9zbFuBzd2tpIf5QIjcejor3Ndfgc8ZnLvbZaiznjNyVKPsnH+YbGz69l
SfN9rWxeLUI3ziFNmgszTFsSjHcpHWfAJmkLtc4cBHiZWNc4418zLMHwHnW4B4bcGgCmMKHDI5xG
hPpYu7u3BEcRuW9pbDx2pqNESDTGtafxKX0cuTTYg3kUCAQ9mzsENix5Ju6/mjlX8cxpYZUITQZH
NFk6IzJCmbooxRuUVkJdK0QCFPFc38D9bSJ6YMwcVMTbswFQcCLlsHsbTxAR6sfk9mLYMBo50V4R
Hv2c8KlizvgsQbKBQDaXGWnB/E8Fk1UilIpLgC6mrBIN5jCoITpchORVBrjmZJUBOSVH1U/vSeRg
7psQjwgG7FjZtRobzQW0e3GWCHsF0B6wg0dgZb+yRTXirKVby6IIqdaF1eUlQDtIa6J27VJyMueZ
6LmSQpa1eTJkwEs/nHLNrtI9UJouBZwtcEobPuNoWX/3vF8Vh2BZY4oIb2dqjqsJwLJha9dZERIa
AbpgZbVrz+nG6Kg2CwzIqwG058t2+jCJBkmAsuJzpMrtdoLcN1v3wDzZeR6PKSLch4pnHNSqsRH/
bjUwK0KCqRMrA64V4BibDpzMdUz0eBNCBpSifecYfx+VdZ4iAptSvl0XVknaA3Nqfj80nst8PAcR
CvD8li9X8/7sIM+mUzvh/F/Aa58afESELmCgSlBq5jCi9K27UybSLplBuB6xEaJoYZCaPuw0mdDn
jvu2xmwnhxB6lKSWDe14nosI2boecVTz/h677eXfZROtqo12r+NDImTQ2kYnGKolwDWTsYQMQIiM
MC57yvnsDt76TPF1QxRu7aD57IhHFVvQl+yg7/FYnosIia29N+8J5GwEt7n1/6IIRWIHykxEyLhH
ZScTSmw1Wa7PIDZsbilzX1fYwbqwjZLs4fN7roeV/sTWjuW5iJCztyJUiUk0a+5tD0Ros7EVIdu0
Fc9HylEnv3oAeZkca5U1u6HXqOdkrlsDW7vT+twQoVvH18pB7mGTmo92fao9FxEKaO0PEfifezu7
8porR42nTWyTGzOEKII4yavJ2pOtOJVSa3xN71+iAGESBLepSfJqV/lshkjd7IpWey4inLOzdqaN
+bU9jo9swF1sNFX5TYoQJRonmihCvGVzxoCcW4NwzaX/6NNLQTZk11YEIrUy5sxdYtcWkfU17rva
cxEhH1NtqTBqbJqxEmebkY5CGayfdm5rU7K166wIIVqIlgZtB21rLU3xbrbE7FquueUazxUOwp5s
M54oTQQ94qdyU1iPEFjrmOP2XEQIY5jK+O5ftjraF/n88Nityb4CnsA3tQO+KEKOYleTAN2Egat1
12Qxk1NOVucS4EvPgGNkpPoxxHjCNJNoo0bGPMpRXIu4psqzcXtOIlSJ+f3yVNDhm/z7qI3B8vm5
vlSAU0uwRRGCaJxc2YzTXNvitegVZUx2tXtsC7+OCEwmrY3UGntzaOX8nvKUk3nUNFyzEaCs2372
nEQI2acSSY1Rq/dEOpWhtmATyHWmAqp+9D/Xx1URghA5gg4Y2+ucqAhQOh5Ee5lcKdgmQJiGo7Nl
+0xpPIFlS4FNicrxlyoK1xRxCde8mQPXGF/f3+aR41g3jTcRnpsIwcbGNGVjQZB92IKvuif2m7t/
n7O/48xHrTunMmD1t5SEVokQoqnODNbk6VB5M0Y0sPvjO5OiFjcRaybzJWNCTVIrlHHzOaF4JRBl
j3PMwbjJrBb/fjZFfOaijc6u4TPzaV7NEeFU389RhETFLuP7HLeyr2AniXim7Xg2ZtPxqxKW/dnI
9Wpepq6puc5S0FwtQrgRIqvIbLBlaAKs7WATb4cvGXA9HF7WYtupiFrNpFYQrOwli1bz/RAEL/Mw
5RjOURopT2t9ImMOmwmPQnqOIoT7FXj8dG3KNtXYl53Kjt6PW9ne33PXcZ5+CLDsPMcmEULklLZ1
YiCynY681sCJcW+N/VJR3tSPf7WpCW4bR1hyKo1IOI0g2oqDkwy/Znrsz+seEdZYnpoICwFIlcBf
a8xHNTZmCzZpK8U5NosQ1n2ESHAM7mbqVUTds4kQPgh0yp6qLMq+U5O+1JzjfPNkXlyTaFqIjWMO
Fc7FgbzamV0rQoJ1jnGO21MVofsyNj5c93yLfcfNNdhZNSIpbdHATSIEIcp+OjYIryYjGfAYOAox
KumJUYStfxHAwU26z8atBOcYx/qbmIjPfC2JilMSqiZLyMZrRGiMymibRuPGwe/5O9hbUAHIVq19
2Y0tp2xcrWyttNfYjB3c8xq7jblZhKB25Y1BMPpUlA3HwLYEWQ6v3CGwagIgZzIPIjHneuoieEoI
UmzGdjZd+HVr47Gtfe84FYQAtrTxco1dIoTMZzAR4H0QZUVw9hYEq3EiWcl3WyNx+H/YjqDYsrVx
a+s9whuzW4Q4ajAhvEQOEWEI4XYiwhA6ExGG0JmIMITORIQhdCYiDKEzEWEInYkIQ+hMRBhCZyLC
EDoTEYbQmYgwhM5EhCF0JiIMoTMRYQidiQhD6ExEGEJnIsIQOhMRhtCZiDCEzkSEIXQmIgyhMxFh
CJ2JCEPoTEQYQmciwhA6ExGG0JmIMITORIQhdCYiDKEzEWEInYkIQ+hMRBhCZyLCEDoTEYbQmYgw
hM5EhCF0JiIMoTMRYQidiQhD6ExEGEJnIsIQOhMRhtCZiDCEzkSEIXQmIgyhMxFhCJ2JCEPoTEQY
QmciwhA6ExGG0JmIMITORIQhdCYiDKEzEWEInYkIQ+hMRBhCZyLCEDoTEYbQmYgwhM5EhCF0JiIM
oTMRYQidiQhD6ExEGEJnIsIQuvLw8H/vk37U14oq1AAAAABJRU5ErkJggg==",
				extent={{-100,-100},{100,100}})}));
end GeneratePositioningSignal;
