﻿within AIDAModelica;

model MotorPropellerModel "Motor-Propeller model"
  // CP: 65001
  // SimulationX Version: 3.8.2.45319 x64
  Modelica.Blocks.Interfaces.RealInput ThrottleCommandK "K-th command input" annotation(
    Placement(transformation(extent = {{-140, 40}, {-100, 80}}), iconTransformation(extent = {{-120, -20}, {-80, 20}})));
  Modelica.Blocks.Interfaces.RealOutput MotorKAngularVelocity(quantity = "Mechanics.Rotation.RotVelocity", displayUnit = "rpm") "Angular velocity of the k-th motor-propeller system" annotation(
    Placement(transformation(extent = {{-35, 50}, {-15, 70}}), iconTransformation(extent = {{90, -10}, {110, 10}})));
  CreateMotion createMotion1 annotation(
    Placement(transformation(extent = {{-75, 55}, {-55, 65}})));
equation
  connect(createMotion1.ThrottleCommandK, ThrottleCommandK) annotation(
    Line(points = {{-75, 60}, {-80, 60}, {-115, 60}, {-120, 60}}, color = {0, 0, 127}, thickness = 0.0625));
  connect(createMotion1.MotorKAngularVelocity, MotorKAngularVelocity) annotation(
    Line(points = {{-55.3, 60}, {-50.3, 60}, {-30, 60}, {-25, 60}}, color = {0, 0, 127}, thickness = 0.0625));
  annotation(
    ThrottleCommandK(flags = 2),
    MotorKAngularVelocity(flags = 2),
    createMotion1(ThrottleCommandK(flags = 2), MotorKAngularVelocity(flags = 2), W(u(flags = 2), y(flags = 2)), wSSModel1(CmdKIn(flags = 2), WSSOut(flags = 2))),
    Icon(coordinateSystem(extent = {{-100, -125}, {100, 125}}, initialScale = 0.1), graphics = {Rectangle(fillColor = {255, 255, 255}, fillPattern = FillPattern.Solid, extent = {{-99.9, 49.9}, {100, -50}}), Text(origin = {-5, 2}, extent = {{-33, 12}, {33, -12}}, textString = "%name")}),
    experiment(StopTime = 1, StartTime = 0, Interval = 0.002, MaxInterval = "0.001"));
end MotorPropellerModel;
