﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model SelectAttitudeConsign "[SF2.3.2] Select attitude consign"
	Modelica.Blocks.Interfaces.RealInput AttitudeAPConsign[2](
		quantity="Mechanics.Rotation.Angle",
		displayUnit="rad") "Attitude autopilot mode consign" annotation(Placement(
		transformation(extent={{-85,10},{-45,50}}),
		iconTransformation(extent={{-120,30},{-80,70}})));
	Modelica.Blocks.Interfaces.RealInput AttitudeSACConsign[2](
		quantity="Mechanics.Rotation.Angle",
		displayUnit="rad") "Attitude SAC mode consign" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(extent={{-120,-70},{-80,-30}})));
	Modelica.Blocks.Interfaces.RealOutput AttitudeConsign[2](
		quantity="Mechanics.Rotation.Angle",
		displayUnit="rad") "Drone attitude consign" annotation(Placement(
		transformation(extent={{-10,20},{10,40}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	equation
		connect(AttitudeAPConsign[:],AttitudeConsign) annotation(Line(
			points={{-65,30},{-60,30},{-5,30},{0,30}},
			color={0,0,127},
			thickness=0.0625));
	annotation(
		AttitudeAPConsign(flags=2),
		AttitudeConsign(flags=2),
		Icon(graphics={
			Rectangle(
				fillColor={255,255,255},
				fillPattern=FillPattern.Solid,
				extent={{-100,100},{100,-100}})}),
		experiment(
			StopTime=1,
			StartTime=0,
			Interval=0.001));
end SelectAttitudeConsign;
