﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model SelectSpeedConsign "[SF2.1.2] Select speed consign"
	Modelica.Blocks.Interfaces.RealInput NavigationVelocityConsign[3](
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Autopilot velocity consign " annotation(Placement(
		transformation(extent={{-130,15},{-90,55}}),
		iconTransformation(extent={{-120,-20},{-80,20}})));
	Modelica.Blocks.Interfaces.RealOutput VelocityConsign[3](
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Choosed velocity consign" annotation(Placement(
		transformation(extent={{-45,25},{-25,45}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	equation
		connect(NavigationVelocityConsign[:],VelocityConsign[:]) annotation(Line(
			points={{-110,35},{-105,35},{-40,35},{-35,35}},
			color={0,0,127},
			thickness=0.0625));
	annotation(
		NavigationVelocityConsign(flags=2),
		VelocityConsign(flags=2),
		Icon(
			coordinateSystem(extent={{-100,-50},{100,50}}),
			graphics={
				Rectangle(
					fillColor={255,255,255},
					fillPattern=FillPattern.Solid,
					extent={{-99.5,50},{100.5,-50}}),
				Line(points={{-33.3,13.3},{16.7,13.3}}),
				Line(points={{-33.1,-3.4},{16.9,-3.4}})}),
		experiment(
			StopTime=1,
			StartTime=0,
			Interval=0.002,
			MaxInterval="0.001"));
end SelectSpeedConsign;
