﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model SelectTotalThrustConsign "[SF2.4.3] Select total thrust consign"
	Modelica.Blocks.Interfaces.RealInput TotalThrustAP(
		quantity="Mechanics.Translation.Force",
		displayUnit="N") "Total thrust autopilot mode" annotation(Placement(
		transformation(extent={{-110,30},{-70,70}}),
		iconTransformation(extent={{-120,30},{-80,70}})));
	Modelica.Blocks.Interfaces.RealInput TotalThrustSAC "Total thrust SAC mode" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(extent={{-120,-70},{-80,-30}})));
	Modelica.Blocks.Interfaces.RealOutput TotalThrust(
		quantity="Mechanics.Translation.Force",
		displayUnit="N") "Total thrust" annotation(Placement(
		transformation(extent={{-30,40},{-10,60}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	equation
		connect(TotalThrustAP,TotalThrust) annotation(Line(
			points={{-90,50},{-85,50},{-25,50},{-20,50}},
			color={0,0,127},
			thickness=0.0625));
	annotation(
		TotalThrustAP(flags=2),
		TotalThrust(flags=2),
		Icon(graphics={
			Rectangle(
				fillColor={255,255,255},
				fillPattern=FillPattern.Solid,
				extent={{-100,100},{100,-100}})}),
		experiment(
			StopTime=1,
			StartTime=0,
			Interval=0.001));
end SelectTotalThrustConsign;
