﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model SpeedErrorModelMM "Speed error calculate model Manual mode"
	Modelica.Blocks.Interfaces.RealInput SpeedConsign(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "'input Real' as connector" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(extent={{-120,30},{-80,70}})));
	Modelica.Blocks.Interfaces.RealInput Speed(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "'input Real' as connector" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(extent={{-120,-70},{-80,-30}})));
	Modelica.Blocks.Interfaces.RealOutput SpeedError(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "'output Real' as connector" annotation(Placement(
		transformation(extent={{-10,-10},{10,10}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	Real vzd(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Desired altitude speed";
	Real vz(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Real altitude speed";
	Real ASE(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Altitude speed error";
	equation
		// enter your equations here
		vz = Speed;
		vzd = SpeedConsign;
		ASE = vz-vzd;
		SpeedError = ASE;
	annotation(Icon(graphics={
		Rectangle(
			fillColor={255,255,255},
			fillPattern=FillPattern.Solid,
			extent={{-100,100},{100,-103.3}})}));
end SpeedErrorModelMM;
