﻿// CP: 65001
// SimulationX Version: 3.8.2.45319 x64
within AIDAModelica;
model SpeedErrorModelSAC "Speed error calculate model SAC"
	Modelica.Blocks.Interfaces.RealInput SpeedConsign(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "'input Real' as connector" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(extent={{-120,-20},{-80,20}})));
	Modelica.Blocks.Interfaces.RealInput Speed(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "'input Real' as connector" annotation(Placement(
		transformation(extent={{-20,-20},{20,20}}),
		iconTransformation(
			origin={0,-100},
			extent={{-20,-20},{20,20}},
			rotation=90)));
	Modelica.Blocks.Interfaces.RealOutput SpeedError(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "'output Real' as connector" annotation(Placement(
		transformation(extent={{-10,-10},{10,10}}),
		iconTransformation(extent={{90,-10},{110,10}})));
	Real vzd(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Desired altitude speed";
	Real vz(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Real altitude speed";
	Real ASE(
		quantity="Mechanics.Translation.Velocity",
		displayUnit="m/s") "Altitude speed error";
	equation
		// enter your equations here
		vz = Speed;
		vzd = SpeedConsign;
		ASE = vzd-vz;
		SpeedError = ASE;
	annotation(
		Icon(graphics={
			Rectangle(
				fillColor={255,255,255},
				fillPattern=FillPattern.Solid,
				extent={{-100,100},{100,-103.3}}),
			Ellipse(
				fillColor={255,255,255},
				fillPattern=FillPattern.Solid,
				extent={{-53.3,40},{40,-40}}),
			Text(
				textString="+",
				fillPattern=FillPattern.None,
				extent={{-46.7,10},{-13.3,-16.7}}),
			Text(
				textString="-",
				fillPattern=FillPattern.None,
				extent={{-26.7,-16.7},{10,-40}})}),
		experiment(
			StopTime=1,
			StartTime=0,
			Interval=0.002,
			MaxInterval="0.001"));
end SpeedErrorModelSAC;
